Page MenuHomePhabricator

Clicking "join" button on hub triggers an error, but the edit succeeds anyway
Closed, ResolvedPublic

Description

  1. Go to a Collaboration Hub on the Beta Cluster
  1. Click the "Join" button.
  1. You get an error saying the edit didn't save.
  1. Go to the list and refresh; the username ends up on the list anyway.

This only happens when clicking the "join" button on the hub. The one directly on the member list works just fine.

Event Timeline

Harej created this task.Apr 20 2017, 2:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 2:18 AM
Harej added a comment.Apr 27 2017, 7:37 AM

This also happens on the WPX staging wiki, so I don't think it's unique to the Beta Cluster.

Harej renamed this task from Clicking "join" button on hub on the Beta Cluster triggers an error, but the edit succeeds anyway to Clicking "join" button on hub triggers an error, but the edit succeeds anyway.Apr 28 2017, 12:20 AM

Change 350794 had a related patch set uploaded (by Harej; owner: Harej):
[mediawiki/extensions/CollaborationKit@master] Change how addSelf function works

https://gerrit.wikimedia.org/r/350794

Change 350794 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Change how addSelf function works

https://gerrit.wikimedia.org/r/350794

Harej closed this task as Resolved.Apr 28 2017, 8:37 PM
Harej moved this task from In Progress to Done on the MediaWiki-extensions-CollaborationKit board.